
var INTERLOCKS = {};
INTERLOCKS.SPADE_OUT = 1;
INTERLOCKS.SPADE_IN = -1;
INTERLOCKS.HEART_OUT = 2;
INTERLOCKS.HEART_IN = -2;
INTERLOCKS.DIAMOND_OUT = 3;
INTERLOCKS.DIAMOND_IN = -3;
INTERLOCKS.CLUB_OUT = 4;
INTERLOCKS.CLUB_IN = -4;

var INTERLOCKSIMAGES = {};
INTERLOCKSIMAGES[1] = "spadeOut";
INTERLOCKSIMAGES[-1] = "spadeIn";
INTERLOCKSIMAGES[2] = "heartOut";
INTERLOCKSIMAGES[-2] = "heartIn";
INTERLOCKSIMAGES[3] = "diamondOut";
INTERLOCKSIMAGES[-3] = "diamondIn";
INTERLOCKSIMAGES[4] = "clubOut";
INTERLOCKSIMAGES[-4] = "clubIn";

function game(el)
{
	this.pieces = [];
	this.el = el;

	this.pieces.push(new piece(INTERLOCKS.SPADE_OUT,INTERLOCKS.DIAMOND_OUT,INTERLOCKS.HEART_IN,INTERLOCKS.DIAMOND_IN,1));
	this.pieces.push(new piece(INTERLOCKS.HEART_OUT,INTERLOCKS.SPADE_OUT,INTERLOCKS.SPADE_IN,INTERLOCKS.CLUB_IN,2));
	this.pieces.push(new piece(INTERLOCKS.CLUB_OUT,INTERLOCKS.HEART_OUT,INTERLOCKS.DIAMOND_IN,INTERLOCKS.CLUB_IN,3));
	this.pieces.push(new piece(INTERLOCKS.DIAMOND_OUT,INTERLOCKS.CLUB_OUT,INTERLOCKS.CLUB_IN,INTERLOCKS.DIAMOND_IN,4));
	this.pieces.push(new piece(INTERLOCKS.SPADE_OUT,INTERLOCKS.SPADE_OUT,INTERLOCKS.HEART_IN,INTERLOCKS.CLUB_IN,5));
	this.pieces.push(new piece(INTERLOCKS.CLUB_OUT,INTERLOCKS.HEART_OUT,INTERLOCKS.SPADE_IN,INTERLOCKS.HEART_IN,6));
	this.pieces.push(new piece(INTERLOCKS.SPADE_OUT,INTERLOCKS.DIAMOND_OUT,INTERLOCKS.SPADE_IN,INTERLOCKS.HEART_IN,7));
	this.pieces.push(new piece(INTERLOCKS.HEART_OUT,INTERLOCKS.DIAMOND_OUT,INTERLOCKS.DIAMOND_IN,INTERLOCKS.HEART_IN,8));
	this.pieces.push(new piece(INTERLOCKS.HEART_OUT,INTERLOCKS.DIAMOND_OUT,INTERLOCKS.CLUB_IN,INTERLOCKS.CLUB_IN,9));

	this.getPiece = function(pieceID)
		{
			var temp = this.pieces[pieceID-1];
			this.pieces[pieceID-1] = null;
			this.draw();
			return temp;
		};

	this.peekAtPiece = function(pieceID)
		{
			return this.pieces[pieceID-1];
		};

	this.returnPiece = function(piece)
		{
			this.pieces[piece.pieceID-1] = piece;
			this.draw();
		};

	this.draw = function()
		{
			var HTML = '<table border="1" cellspacing="50"><tr>';
			for(var i=0; i<this.pieces.length; i++)
				{
					if (i % 3 == 0){
						HTML += "</tr><tr>";
					}
					HTML += '<td width="100" height="100">';
					var peice = this.pieces[i];
					if(peice != null)
						{
							HTML += peice.draw();
						}
					else
						{
							HTML += '&nbsp;';
						}
					HTML += '</td>';
				}
			HTML += '</tr></table>';
			frames.push({'game': HTML});
			//this.el.innerHTML = HTML;
		};

	this.draw();
}