

function player(game,table)
	{
		this.game = game;
		this.table = table;

		this.solve = function(location)
			{

				if(location > 9)
					{
						return true;
					}
			//	console.debug('solving for location ' + location);
				var i = 0;
				while(++i <= 9)
					{
						if(this.game.peekAtPiece(i) == null)
							{
								continue;
							}
						//console.debug('trying piece ' + i);
						this.table.place(this.game.getPiece(i),location);

						var r = 0;
						while(++r <= 4)
							{
								if(this.testFit(location) && this.solve(location+1))
									{
										return true;
									}

								//console.debug('rotating piece ' + i + ' in location ' + location);
								this.table.rotate(location);
							}
						game.returnPiece(this.table.remove(location));
					}
				return false;
			};

		this.testFit = function(location)
			{
				if(location == 1)
					{
						return true;
					}
				else if(location == 2)
					{
						return this.matches(this.table.get(2).left,this.table.get(1).right);
					}
				else if(location == 3)
					{
						return this.matches(this.table.get(3).left,this.table.get(2).right);
					}
				else if(location == 4)
					{
						return this.matches(this.table.get(4).top,this.table.get(1).bottom);
					}
				else if(location == 5)
					{
						return (this.matches(this.table.get(5).left,this.table.get(4).right)
							&& this.matches(this.table.get(5).top,this.table.get(2).bottom));
					}
				else if(location == 6)
					{
						return (this.matches(this.table.get(6).left,this.table.get(5).right)
							&& this.matches(this.table.get(6).top,this.table.get(3).bottom));
					}
				else if(location == 7)
					{
						return this.matches(this.table.get(7).top,this.table.get(4).bottom)
					}
				else if(location == 8)
					{
						return (this.matches(this.table.get(8).left,this.table.get(7).right)
							&& this.matches(this.table.get(8).top,this.table.get(5).bottom));
					}
				else if(location == 9)
					{
						return (this.matches(this.table.get(9).left,this.table.get(8).right)
							&& this.matches(this.table.get(9).top,this.table.get(6).bottom));
					}

				return false;
			};

		this.matches = function(side1,side2)
			{
				return (side1+side2 == 0);
			};

	}
